### Method

# GExiv2 PreviewImage get_data

#### Declaration [src]

    const guint8*
    gexiv2_preview_image_get_data (
      GExiv2PreviewImage* self,
      guint32* size
    )

#### Description [src]

Get a pointer to the image data of the preview image. The returned data is owned by the preview image and must not be freed.

#### Parameters

`size`

  Type: `guint32*`

  The size of the buffer holding the data.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

The raw image data.

The length of the array is in the `size` argument.
The returned data is owned by the instance.